Last Comment Bug 801702 - Kuma: Unnecessary errors - "The slug provided is not valid"
: Kuma: Unnecessary errors - "The slug provided is not valid"
Status: RESOLVED FIXED
:
Product: Mozilla Developer Network
Classification: Other
Component: Editing (show other bugs)
: unspecified
: All All
: P1 critical with 1 vote (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
: 800801 802558 804006 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-15 09:30 PDT by ghost@ethertank.jp
Modified: 2013-11-11 18:34 PST (History)
10 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Screenshot (90.58 KB, image/jpeg)
2012-11-03 02:45 PDT, ghost@ethertank.jp
no flags Details

Comment 1 potappo 2012-10-15 15:26:01 PDT
I and another user (taguchi-ch) can't save the following page. 

https://developer.mozilla.org/ja/docs/Mozilla/Boot_to_Gecko/Building_and_installing_Boot_to_Gecko

The same error message is shown.
Comment 2 Julia BUCHNER 2012-10-17 06:06:25 PDT
Maybe this is linked to another bug found today : https://bugzilla.mozilla.org/show_bug.cgi?id=802558
Comment 3 ghost@ethertank.jp 2012-10-21 14:16:44 PDT
I did come across this buggy behavior in October 2012.
Probably, I think there is a problem with the changes in September or October.

If the "translation source" is set, this problem does not occur.
Maybe there is some relevance.
Comment 4 David Walsh :davidwalsh 2012-11-01 08:39:29 PDT
*** Bug 804006 has been marked as a duplicate of this bug. ***
Comment 5 David Walsh :davidwalsh 2012-11-02 07:52:53 PDT
*** Bug 802558 has been marked as a duplicate of this bug. ***
Comment 6 David Walsh :davidwalsh 2012-11-02 07:59:56 PDT
*** Bug 800801 has been marked as a duplicate of this bug. ***
Comment 7 [github robot] 2012-11-02 11:36:22 PDT
Commits pushed to master at https://github.com/mozilla/kuma

https://github.com/mozilla/kuma/commit/25b079c3eb6afd55e1b51ae4a5e66cfb33c63c85
fix bug 801702 - Fix issue where slug field doesn't display

https://github.com/mozilla/kuma/commit/9d6efd67d136f93044bcb0b6d8398b092ccdb104
Merge pull request #679 from darkwing/slug-error-801702

fix bug 801702 - Fix issue where slug field doesn't display
Comment 8 ghost@ethertank.jp 2012-11-02 20:40:27 PDT
I know that David Walsh did test in production server.

  https://developer.mozilla.org/ja/docs/Mozilla/Boot_to_Gecko/Building_and_installing_Firefox_OS$history
  https://developer.mozilla.org/ja/docs/DOM/DOMString$history
  
However, I still can't update those pages.
Comment 9 ghost@ethertank.jp 2012-11-03 02:45:24 PDT
Created attachment 677991 [details]
Screenshot
Comment 10 Tetsuharu OHZEKI [:tetsuharu] [UTC+9] 2012-11-04 12:44:15 PST
(In reply to ghost@ethertank.jp from comment #8)
> However, I still can't update those pages.

I seem that the fixed revision has not landed on product server yet.
Comment 11 ghost@ethertank.jp 2012-11-04 17:05:15 PST
(In reply to Tetsuharu OHZEKI [:saneyuki_s] from comment #10)

I think databases are not shared. 

https://developer.mozilla.org/en-US/docs/HTML
https://developer.allizom.org/en-US/docs/HTML
Comment 12 John Karahalis [:openjck] 2012-11-05 13:47:38 PST
The update was pushed to our development snapshot site (developer-dev.allizom.org). It will go live on developer.mozilla.org later this week.
Comment 13 John Karahalis [:openjck] 2012-11-05 13:48:21 PST
Please reopen if you do not see the fix later this week, or if you do not see the fix even on developer-dev.
Comment 14 raymond [:retornam] (needinfo? me) 2012-11-06 14:50:08 PST
verified fixed stage https://developer.allizom.org/it/docs/HTML/HTML5
Comment 15 David Walsh :davidwalsh 2012-11-07 09:56:42 PST
Issue is still happening on this page:

https://developer.mozilla.org/fr/docs/HTML

...even though I cannot duplicate the issue on my local machine.  Grrr.
Comment 16 David Walsh :davidwalsh 2012-11-07 10:19:54 PST
Annoyingly enough, all the Japanese docs cited in comment 1 work just fine.  It's just the French HTML page that is now causing an issue.
Comment 17 David Walsh :davidwalsh 2012-11-07 10:45:35 PST
I tried other translations and they are all saveable without issue -- there's something specific to this French document that's causing an edge issue.
Comment 18 David Walsh :davidwalsh 2012-11-07 10:57:44 PST
This is another issue, so I'm closing this and will open another ticket.
Comment 19 John Karahalis [:openjck] 2012-11-07 11:04:45 PST
David, do either of these bugs relate to bug 798809?
Comment 20 ghost@ethertank.jp 2012-11-07 11:07:36 PST
(In reply to David Walsh :davidwalsh from comment #17)

I was able to update many pages. Thank you.
The following two messages are identical. I think this is another bug.

  "Another document with this slug already exists."
  "Un autre document avec cet identifiant d'URL existe déjà."

The same issue exists in the following pages.

https://developer.mozilla.org/ja/docs/HTML/Element/head
https://developer.mozilla.org/ja/docs/JavaScript/JavaScript_shells
https://developer.mozilla.org/zh-TW/docs/Gecko_DOM_%E5%8F%83%E8%80%83

Note You need to log in before you can comment on or make changes to this bug.